%define REL 53230
Name: alexandria
Version: 0.6.4.1
Release: alt1

Summary: Alexandria is a GNOME application to help you manage your book collection

License: GPL
Group: Databases
Url: http://alexandria.rubyforge.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://rubyforge.org/frs/download.php/%REL/%name-%version.tar.bz2
Patch: %name-0.6.2.patch
Patch1: alexandria-0.6.3-crash_tooltips.patch
Patch2: alexandria-0.6.4.1-alt-install-tasks.patch
Patch3: alexandria-0.6.4.1-alt-encoding.patch
Patch4: alexandria-0.6.4.1-alt-user-agent.patch

BuildArch: noarch

BuildPreReq: libGConf2-devel
# Automatically added by buildreq on Tue Jan 08 2008 (-bi)
BuildRequires: GConf intltool rpm-build-ruby ruby-rake

%description
Alexandria is a GNOME application to help you manage your book collection.

Alexandria:
 * retrieves book information from Amazon (including cover pictures) ;
 * saves data using the YAML format ;
 * features an HIG-compliant user interface ;
 * shows books in different views (standard list or icons list).

%prep
%setup -q
%patch
%patch1 -p1
%patch2 -p2
%patch3 -p2
%patch4 -p2

# Cleaning up unfunctional providers:

# #require 'alexandria/book_providers/bn'
# log.info { "Not loading Barnes and Noble (provider not functional)" }
rm -f lib/alexandria/book_providers/bn.rb
# #require 'alexandria/book_providers/thalia'
# log.info { "Not loading Thalia (provider not functional)" }
rm -f lib/alexandria/book_providers/thalia.rb
# #require 'alexandria/book_providers/ibs_it'
# log.info { "Not loading IBS (provider not functional)" }
rm -f lib/alexandria/book_providers/ibs_it.rb
# #require 'alexandria/book_providers/renaud'
# log.info { "Not loading Renaud (provider not functional)" }
rm -f lib/alexandria/book_providers/renaud.rb
# #require 'alexandria/book_providers/bol_it'
# log.info { "Not loading BOL (provider not functional)" }
rm -f lib/alexandria/book_providers/bol_it.rb
# #require 'alexandria/book_providers/webster_it'
# log.info { "Not loading Webster (provider not functional)" }
rm -f lib/alexandria/book_providers/webster_it.rb

# These requires hpricot which fail tests on ruby 1.9:

# Amazon AWS (Amazon Associates Web Services) provider, needs hpricot
#  log.warn { "Can't load hpricot, hence provider Amazon not available" }
#  log.warn { "Can't load hpricot, hence provider DeaStore not available" }
#  log.warn { "Can't load hpricot, hence provider Siciliano not available" }
#  log.warn { "Can't load hpricot, hence provider WorldCat not available" }
rm -f lib/alexandria/book_providers/amazon_aws.rb
rm -f lib/alexandria/book_providers/deastore.rb
rm -f lib/alexandria/book_providers/siciliano.rb
rm -f lib/alexandria/book_providers/worldcat.rb
# Only required by amazon_aws
rm -f lib/alexandria/book_providers/amazon_ecs_util.rb
# AdLibris (needs htmlentities and hpricot)
#  log.warn { "Can't load provider AdLibris, requires both hpricot and htmlentities: #{ex.message}" }
rm -f lib/alexandria/book_providers/adlibris.rb

%build
%rake clobber
%rake build

%install
%rake_install

install -D -m 0644 schemas/%name.schemas %buildroot/%_sysconfdir/gconf/schemas/%name.schemas
rm -rf %buildroot%_docdir/%name/
rm -rf %buildroot%_datadir/menu
%find_lang %name --with-gnome

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%doc doc/AUTHORS doc/BUGS doc/FAQ doc/HACKING doc/NEWS doc/cuecat*
%doc README TODO
%_bindir/%name
%_datadir/%name/
%ruby_sitelibdir/%name/
%ruby_sitelibdir/%name.rb
%_man1dir/*
%_desktopdir/%name.desktop
%config %_sysconfdir/gconf/schemas/*
%_iconsdir/hicolor/*/*/%name.*
%_datadir/sounds/%name/

%changelog
* Mon May 11 2009 Alexey I. Froloff <raorn@altlinux.org> 0.6.4.1-alt1
- [0.6.4.1]
- Removed all web-based providers (due to missing hpricot)
- Enabled Z39.50 provider (zoom and marc are now available)

* Thu May 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.3-alt2
- fix build, use rake_install macros
- remove unsupported providers (due missed hpricot, marc, zoom modules)

* Thu May 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.3-alt1
- new version 0.6.3 (with rpmrb script)
- note: rake_build/rake_install macroses is broken now

* Wed Jan 16 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.2-alt2
- remove rubygems requires
- use new rpm-build-ruby

* Tue Jan 08 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.2-alt1
- new version 0.6.2 (with rpmrb script)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.3
- fix requires
- remove debian menu

* Tue May 23 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.2
- spec cleanup
- fix requires (bug #9601)

* Sun Oct 16 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.1
- new version
- add require for ruby-gettext
- still some broken code

* Tue Sep 13 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.2
- fix scrollkeeper install

* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.1
- new version

* Wed Aug 24 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.1-alt0.1
- new version. Ruby hackers, please check this app

* Sat Dec 18 2004 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt1
- first build for ALT Linux Sisyphus

